/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package appium;

import io.appium.java_client.service.local.AppiumDriverLocalService;
import io.appium.java_client.service.local.AppiumServiceBuilder;
import io.appium.java_client.service.local.flags.GeneralServerFlag;
import org.openqa.selenium.remote.DesiredCapabilities;
//import org.apache.commons.



/**
 *
 * @author Rino
 */
public class AppiumServer {
    
    static AppiumDriverLocalService service;
    static AppiumServiceBuilder builder;
    static DesiredCapabilities cap;
    
    static void start(){
        //Set Capabilities
	cap = new DesiredCapabilities();
	cap.setCapability("noReset", "false");
        
        
        //Build the Appium service
	builder = new AppiumServiceBuilder();
	builder.withIPAddress("127.0.0.1");
	builder.usingPort(4723);
	builder.withCapabilities(cap);
	builder.withArgument(GeneralServerFlag.SESSION_OVERRIDE);
	builder.withArgument(GeneralServerFlag.LOG_LEVEL,"error");
		
	//Start the server with the builder
	service = AppiumDriverLocalService.buildService(builder);
	service.start();
        System.out.println("In Server - started");
    }
    
    
	
    static void stop() {
       // service.stop();
    }
    
}
