/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package appium;

import io.appium.java_client.android.Activity;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.openqa.selenium.WebElement;
import io.appium.java_client.android.AndroidDriver;
import io.appium.java_client.android.AndroidKeyCode;
import java.util.concurrent.TimeUnit;
import org.openqa.selenium.remote.DesiredCapabilities;
import org.openqa.selenium.By;

/**
 *
 * @author Rino
 */
public class Connector extends Thread {
    
    protected AndroidDriver driver = null;
    public int contactNumber = 0;
    List<WebElement> a = new ArrayList<WebElement>();
 
    public Connector(){
        
        
        AppiumServer.start();
        driver = Driver.start();
       
    }
    
    @Override
    public void run() {
        while(true){
            a = driver.findElements(By.xpath("//*[@resource-id='com.whatsapp.w4b:id/conversations_row_contact_name']"));
            
            for(WebElement x : a){
               if (x.getText().contains("+49")){
                   addContact(x.getText());
               }
            }
        }
    }
    
    private void addContact(String number) {
        Activity contactActivity = new Activity("com.simplemobiletools.contacts", ".activities.EditContactActivity");
        
        driver.startActivity(contactActivity);
        String withSpaces = number;
        number = number.replace(" ","");
        
        driver.manage().timeouts().implicitlyWait(3, TimeUnit.SECONDS);
         
        driver.findElement(By.xpath("//*[@text='Vorname']")).sendKeys("mvo-" +contactNumber);
        driver.findElement(By.xpath("//*[@text='Nummer']")).sendKeys(number);
        driver.findElement(By.xpath("//*[@resource-id='com.simplemobiletools.contacts:id/save']")).click();
        if(driver.findElements(By.xpath("//*[@text='mvo-" +contactNumber+"']")).size()>0){
        driver.findElement(By.xpath("//*[@text='mvo-" +contactNumber+"']")).click();
        }else{
            if(driver.findElements(By.xpath("//*[@text='" + withSpaces   +"']")).size() >0){
                driver.findElement(By.xpath("//*[@text='" + withSpaces   +"']")).click();
            }
        }
        
        if(driver.findElements(By.xpath("//*[@resource-id='com.whatsapp.w4b:id/control_btn']")).size() > 0){
            driver.findElement(By.xpath("//*[@resource-id='com.whatsapp.w4b:id/control_btn']")).click();
        }
        driver.pressKeyCode(AndroidKeyCode.BACK);
        contactNumber++;
    }    
}
