/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package appium;

import io.appium.java_client.android.AndroidDriver;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.openqa.selenium.remote.DesiredCapabilities;

/**
 *
 * @author Rino
 */
public class Driver {
    
    private static AndroidDriver driver;
    
    public static AndroidDriver start(){
        try {
           driver = new AndroidDriver(new URL("http://127.0.0.1:4723/wd/hub"), settings());
        } catch (MalformedURLException ex) {
            Logger.getLogger(Connector.class.getName()).log(Level.SEVERE, null, ex);

        }
        return driver;
    }
    
    
    private static DesiredCapabilities settings(){
        DesiredCapabilities capability = new DesiredCapabilities();
        capability.setCapability("deviceName", "879d796a");
        capability.setCapability("platformName","Android");
        capability.setCapability("platformVersion","7.1.2");
        
        
       capability.setCapability("appPackage", "com.whatsapp.w4b");
       capability.setCapability("appActivity", "com.whatsapp.Main");
       capability.setCapability("noReset", true);
       capability.setCapability("fullReset", false);
       capability.setCapability("unicodeKeyboard", "true");
       capability.setCapability("resetKeyboard", "true");
       return capability;
    }
}
