/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package bilderAuswahl;

import ffeststeuerungneu.Log;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.nio.file.FileSystems;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.imageio.ImageIO;
import javax.imageio.stream.ImageOutputStream;

/**
 *
 * @author Rino
 */
public class Archiv {

    private final String ARCHIVMÜLL;
    private final String ARCHIVGUT;
    private int archivMuell = 0;
    private int archivGut = 0;
    private File dir;

    public Archiv(String pfad) {
        Calendar cal = Calendar.getInstance();
        SimpleDateFormat sdf = new SimpleDateFormat("HH_mm_ss");
        ARCHIVMÜLL = pfad + "archiv\\Muell\\" + sdf.format(cal.getTime()) + "\\";
        ARCHIVGUT = pfad + "archiv\\gut\\" + sdf.format(cal.getTime()) + "\\";

        dir = new File(ARCHIVMÜLL);
        dir.mkdir();

        dir = new File(ARCHIVGUT);
        dir.mkdir();
        
        
//        for (int i = 0; i < archivPfadMuell.length; i++) {
//            if (i < 10) {
//                archivPfadMuell[i] = FileSystems.getDefault().getPath(ARCHIVMÜLL + "000" + i + ".jpg");
//                archivPfadGut[i] = FileSystems.getDefault().getPath(ARCHIVGUT + "000" + i + ".jpg");
//            } else if (i < 100) {
//                archivPfadMuell[i] = FileSystems.getDefault().getPath(ARCHIVMÜLL + "00" + i + ".jpg");
//                archivPfadGut[i] = FileSystems.getDefault().getPath(ARCHIVGUT + "00" + i + ".jpg");
//            } else if (i < 1000) {
//                archivPfadMuell[i] = FileSystems.getDefault().getPath(ARCHIVMÜLL + "0" + i + ".jpg");
//                archivPfadGut[i] = FileSystems.getDefault().getPath(ARCHIVGUT + "0" + i + ".jpg");
//            } else {
//                archivPfadMuell[i] = FileSystems.getDefault().getPath(ARCHIVMÜLL + i + ".jpg");
//                archivPfadGut[i] = FileSystems.getDefault().getPath(ARCHIVGUT + i + ".jpg");
//            }
//
//        }
    }

    public void bildInArchiv(BufferedImage bim) {
        try {
            if (archivGut < 10) {
                ImageIO.write(bim, "jpg", new File(ARCHIVGUT + "000" + archivGut + ".jpg"));
            } else if (archivGut < 100) {
                ImageIO.write(bim, "jpg", new File(ARCHIVGUT + "00" + archivGut + ".jpg"));
            } else if (archivGut < 1000) {
                ImageIO.write(bim, "jpg", new File(ARCHIVGUT + "0" + archivGut + ".jpg"));
            } else {
                ImageIO.write(bim, "jpg", new File(ARCHIVGUT + archivGut + ".jpg"));
            }
        } catch (IOException ex) {
            Logger.getLogger(Archiv.class.getName()).log(Level.SEVERE, null, ex);
            Log.setError(ex, "Class: bildInArchiv. Writing to archive failed");
        }
        archivGut++;
    }

    public void bildInMuell(BufferedImage bim) {
        try {
            if (archivGut < 10) {
                ImageIO.write(bim, "jpg", new File(ARCHIVMÜLL + "000" + archivMuell + ".jpg"));
            } else if (archivGut < 100) {
                ImageIO.write(bim, "jpg", new File(ARCHIVMÜLL + "00" + archivMuell + ".jpg"));
            } else if (archivGut < 1000) {
                ImageIO.write(bim, "jpg", new File(ARCHIVMÜLL + "0" + archivMuell + ".jpg"));
            } else {
                ImageIO.write(bim, "jpg", new File(ARCHIVMÜLL + archivMuell + ".jpg"));
            }
        } catch (IOException ex) {
            Logger.getLogger(Archiv.class.getName()).log(Level.SEVERE, null, ex);

            Log.setError(ex, "Class: bildInArchiv. Writing to archive failed");
        }
        archivMuell++;
    }

}
