/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ffeststeuerungneu;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Rino
 */
public class Log {

    private static List<String> data = new ArrayList();
    private static int snapchat = 0;
    private static int instagram = 0;
    private static int whatsapp = 0;

    private static SimpleDateFormat sdf = new SimpleDateFormat("yy_MM_dd-HH_mm_ss");

    private static String zeile;
    private static String pfad = null;

    private static Anzeige a;
    private static FileWriter fw;
    private static BufferedWriter bw;
    private static File f;

    public static void setProps(String pfadData) {
        
            pfad = pfadData + "\\log\\" + sdf.format(new Date()) + "_log.txt";
            
            
        try {
            
            f = new File(pfad);
            f.createNewFile();
            
            fw = new FileWriter(f);
            bw = new BufferedWriter(fw);
            
            for (int i = 0; i < data.size(); i++) {
                bw.write(data.get(i));
                
            }
            
            
            bw.close();
            fw.close();
        } catch (IOException ex) {
            Logger.getLogger(Log.class.getName()).log(Level.SEVERE, null, ex);
        }

    }

    public static void write(String meldung) {
        if (pfad != null) {
            try {

                fw = new FileWriter(f);
                bw = new BufferedWriter(fw);
                bw.write(meldung);
                bw.close();
                fw.close();

            } catch (IOException ex) {
                Logger.getLogger(Log.class.getName()).log(Level.SEVERE, null, ex);
            }
        } else {
            data.add(meldung);
        }
    }

    public static void setAnzeige(Anzeige a) {
        Log.a = a;
    }

    public static void setError(Exception e, String s) {
        
        zeile = sdf.format(new Date()) + " ERROR: " + s + ": " + e;

        if (a != null) {

            a.setLogData(zeile);
        }
    }

    public static void setDebug(String s) {
        zeile = sdf.format(new Date()) + " DEBUG: " + s;
        write(zeile);
    }

    public static void setInfo(String s) {
        zeile = sdf.format(new Date()) + " INFO: " + s;
        write(zeile);
    }

    public static void incSnapchat() {
        snapchat++;
    }

    public static void incInstagram() {
        instagram++;
    }

    public static void incWhatsapp() {
        whatsapp++;
    }

//    public static List getData() {
//        return data;
//
//    }
    public static int getSnapchat() {
        return snapchat;
    }

    public static int getInstagram() {
        return instagram;
    }

    public static int getFile() {
        return whatsapp;
    }

}
