package Server;

import java.io.File;
import java.io.IOException;
import java.io.OutputStream;

import com.sun.net.httpserver.HttpHandler;

import ffeststeuerungneu.Anzeige;

public class DeclineHandler implements HttpHandler{
	
private Anzeige anzeige;
	
	public DeclineHandler(Anzeige anzeige) {
		this.anzeige = anzeige;
	}

    @Override
    public void handle(com.sun.net.httpserver.HttpExchange he) throws IOException {
        
    	anzeige.clickDecline();
    	
    	he.sendResponseHeaders(200, 0);

    	OutputStream outputStream=he.getResponseBody();
    	outputStream.write(anzeige.getNumberOfImages());
    	outputStream.close();	
    	
        System.out.println("Received Accept Request");
        
    }


}
