/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Server;

import com.sun.net.httpserver.HttpServer;

import ffeststeuerungneu.Anzeige;

import java.io.IOException;
import java.net.InetSocketAddress;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Rino
 */
public class Server {
    
    HttpServer server;
    Boolean running = false;
    
    public Server(Anzeige anzeige){
        try {
            int port = 9000;
            server = HttpServer.create(new InetSocketAddress(port), 0);
            System.out.println("server started at " + port);
            
            server.createContext("/image", new ImageHandler(anzeige));
            server.createContext("/count", new CountHandler(anzeige));
            server.createContext("/accept", new AcceptHandler(anzeige));
            server.createContext("/decline", new DeclineHandler(anzeige));
            server.setExecutor(null);
        } catch (IOException ex) {
            Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
    
    public boolean getStatus(){
        return running;
    }
    
    public void startServer(){
        server.start();
        running = true;
    }
    
    public void stopServer(){
        System.out.println("stop");
        server.stop(0);
        running = false;
    }
}
