/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


import bilderAuswahl.ThreadBilderAuswahl;
import ffeststeuerungneu.Log;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import static java.lang.Thread.sleep;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author xewvtgbfhnju
 */
public class UeberwacheDatei implements Runnable {

    private final String PFAD; //= "%appdata%\\.purple\\logs\\whatsapp\\491608599916";
    private File f;
    private File log[];
    private BufferedReader br;
    private String[] verarbeite;
    private List<String> links = new ArrayList();
    private String line;
    private boolean schonda = false;
    private ThreadBilderAuswahl tba;

    public UeberwacheDatei(String Ordnername, ThreadSucheLinks sl, ThreadBilderAuswahl tba, String pfad) {
        this.tba = tba;
        PFAD = pfad;
        f = new File(PFAD + "\\" + Ordnername);
        log = f.listFiles();
        try {
            if (log.length > 0) {
                br = new BufferedReader(new FileReader(log[0]));
            }
        } catch (FileNotFoundException ex) {
            Logger.getLogger(UeberwacheDatei.class.getName()).log(Level.SEVERE, null, ex);
            Log.setError(ex, "Class: File. File not found");
        }
    }

    @Override
    public void run() {
        while (true) {
            try {
                line = " ";
                while (line != null && br != null) {
                    line = br.readLine();
                    if (line != null && line.contains("<a href=")) {
                        verarbeite = line.split("\"");
                        

                        for (int i = 0; i < links.size(); i++) {
                            if (links.get(i).equals(verarbeite[5])) {
                                schonda = true;
                            }
                        }
                        if (!schonda) {
                            links.add(verarbeite[5]);
                            this.open(verarbeite[5]);
                        }

                    }
                }

            } catch (IOException ex) {
                Logger.getLogger(UeberwacheDatei.class.getName()).log(Level.SEVERE, null, ex);
                Log.setError(ex, "Class: ÜberwacheDaite. WhatsappLog not found");
            }

            try {
                sleep(1000);
            } catch (InterruptedException ex) {
                Logger.getLogger(UeberwacheDatei.class.getName()).log(Level.SEVERE, null, ex);
                Log.setError(ex, "Class: ÜberwacheDaite. Thread Interrupted");
            }
        }
    }

    private void open(String link) {
        
        tba.neuesBild(link);
        Log.incWhatsapp();

    }

}
